<script context="module">
    import { page } from '$app/stores';
    import TopAppBar, {
      Row,
      Section,
      Title,
      AutoAdjust,
    } from '@smui/top-app-bar';
    import IconButton from '@smui/icon-button';
    import LayoutGrid from '@smui/layout-grid';
    let topAppBar;
    import TinyPouchDB from '../../../TinyPouchDB.svelte';
    let tets;
    let  info = null;
    let books =[];
</script>
<script>

  console.log("in script "+$page.params.slug);
  export let data;
</script>
<TopAppBar bind:this={topAppBar} variant="fixed">
  <Row>
    <Section>
      <IconButton class="material-icons" href="/">menu</IconButton>
      <Title>Fixed</Title>
    </Section>
    <Section align="end" toolbar>
      <IconButton class="material-icons" aria-label="Download"
        >file_download</IconButton
      >
      <IconButton class="material-icons" aria-label="Bookmark this page"
        >bookmark</IconButton
      >
      <IconButton class="material-icons" aria-label="add"  href="add"
        >add</IconButton
      >
      
    </Section>
</Row>
</TopAppBar>

<!-- réccuperation des funcion via bind:this={variable} correspondant a = new TinyPouchDB  -->
<TinyPouchDB bind:this={info} bind:documents={books} initsrc="/books.json" collection="books" >
</TinyPouchDB>

<LayoutGrid>
    <section>
        <div>
          <!-- affichage d'un livre et les dépose dans des input pour la modification-->
          {#each books as book}
          <!-- affichage de tous les livre  si l'id correspond au slug-->
            {#if data.slug == book._id}
            <p>auteur </p>
            <input type="text"  bind:value={book.author} placeholder={book.author}>
            <p>url </p>
            <input type="text" bind:value= {book.url} placeholder={book.url}>
            <p>price</p>
            <input type="number" bind:value= {book.price} placeholder={book.price}>
            <p>type</p>
            <input type="text" bind:value= {book.type} placeholder={book.type}>
            <p>description</p>
            <input type="text" bind:value= {book.description} placeholder={book.description}>
            <p>title </p>
            <input type="text" bind:value= {book.title} placeholder={book.title}>

            <button id="ajoutbd" hred='/' on:click={() => {info.updatePouch(book.author,book.url,data.slug,book.price,book.title,book.type,book.description)}} href="/">enregistré</button>
            {/if}
          {/each}
            
        </div>
      
    </section>
</LayoutGrid>


